=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2007-03-09 04:02:35 +0000
+++ bzrlib/builtins.py	2007-03-09 21:20:19 +0000
@@ -3316,11 +3316,13 @@
 
     takes_args = ['submit_branch?', 'public_branch?']
 
-    takes_options = [RegistryOption.from_kwargs('patch-type',
-        'The type of patch to include in the directive', title='Patch type',
-        value_switches=True, enum_switch=False,
-        bundle='Bazaar revision bundle (default)', diff='Normal unified diff',
-        plain='No patch, just directive'),
+    takes_options = [
+        RegistryOption.from_kwargs('patch-type',
+            'The type of patch to include in the directive',
+            title='Patch type', value_switches=True, enum_switch=False,
+            bundle='Bazaar revision bundle (default)',
+            diff='Normal unified diff',
+            plain='No patch, just directive'),
         Option('sign', help='GPG-sign the directive'), 'revision',
         Option('mail-to', type=str,
             help='Instead of printing the directive, email to this address'),

=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2007-03-02 20:27:06 +0000
+++ bzrlib/option.py	2007-03-09 21:20:19 +0000
@@ -254,7 +254,7 @@
 
     @staticmethod
     def from_kwargs(name_, help=None, title=None, value_switches=False,
-        enum_switch=True, **kwargs):
+                    enum_switch=True, **kwargs):
         """Convenience method to generate string-map registry options
 
         name, help, value_switches and enum_switch are passed to the

=== modified file 'bzrlib/timestamp.py'
--- bzrlib/timestamp.py	2007-03-06 16:02:25 +0000
+++ bzrlib/timestamp.py	2007-03-09 21:20:19 +0000
@@ -129,12 +129,8 @@
     """
     assert offset % 36 == 0
     tm = time.gmtime(secs+offset)
-    if offset < 0:
-        sign = '-'
-    else:
-        sign = '+'
     time_str = time.strftime('%Y-%m-%d %H:%M:%S', tm)
-    return '%s %s%04d' % (time_str, sign, abs(offset/36))
+    return '%s %+05d' % (time_str, abs(offset/36))
 
 
 def parse_patch_date(date_str):

